#
# Conditional build:
%bcond_without	static_libs	# static libraries

Summary:	Nettle - a cryptographic library
Summary(pl.UTF-8):	Nettle - biblioteka kryptograficzna
Name:		nettle
Version:	3.10
Release:	1%{?tld}
License:	LGPL v2.1+
Group:		Libraries
Source0:	https://www.lysator.liu.se/~nisse/archive/%{name}-%{version}.tar.gz
# Source0-md5:	c61453139d5fb44e9cdcc5b684b26e55
Patch0:		%{name}-info.patch
URL:		http://www.lysator.liu.se/~nisse/nettle/
BuildRequires:	ghostscript
BuildRequires:	gmp-devel >= 6.1
BuildRequires:	m4
BuildRequires:	rpmbuild(macros) >= 1.527
BuildRequires:	tetex-dvips
BuildRequires:	texinfo-texi2dvi
Requires:	gmp >= 6.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Nettle is a cryptographic library that is designed to fit easily in
more or less any context: In crypto toolkits for object-oriented
languages (C++, Python, Pike, ...), in applications like LSH or GNUPG,
or even in kernel space. Nettle does only one thing, the low-level
crypto stuff, providing simple but general interface to it. In
particular, Nettle doesn't do algorithm selection. It doesn't do
memory allocation. It doesn't do any I/O. All these is up to
application.

%description -l pl.UTF-8
Nettle to biblioteka kryptograficzna zaprojektowana tak, aby łatwo
dało się jej użyć w prawie każdej sytuacji: w narzędziach
kryptograficznych dla języków zorientowanych obiektowo (C++, Python,
Pike...), w aplikacjach typu LSH czy GNUPG, a nawet w przestrzeni
jądra. Nettle robi tylko jedną rzecz - niskopoziomową kryptografię,
udostępniając do tego prosty, ale ogólny interfejs. Nettle nie
dokonuje żadnego wyboru algorytmu, przydzielania pamięci, czy operacji
we/wy - pozostawia to aplikacji.

%package devel
Summary:	Header files for nettle library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki nettle
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for nettle library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki nettle.

%package static
Summary:	Static nettle library
Summary(pl.UTF-8):	Statyczna biblioteka nettle
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static nettle library.

%description static -l pl.UTF-8
Statyczna biblioteka nettle.

%package progs
Summary:	nettle utility programs
Summary(pl.UTF-8):	Narzędzia wykorzystujące bibliotekę nettle
Group:		Applications/Crypto
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description progs
This package contains utility programs that use nettle library.

%description progs -l pl.UTF-8
Kilka przykładowych narzędzi wykorzystujących bibliotekę
nettle.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--enable-shared \
	%{__enable_disable static_libs static}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	devel -p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libhogweed.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libhogweed.so.6
%attr(755,root,root) %{_libdir}/libnettle.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libnettle.so.8

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhogweed.so
%attr(755,root,root) %{_libdir}/libnettle.so
%{_includedir}/nettle
%{_pkgconfigdir}/hogweed.pc
%{_pkgconfigdir}/nettle.pc
%{_infodir}/nettle.info*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libhogweed.a
%{_libdir}/libnettle.a
%endif

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nettle-hash
%attr(755,root,root) %{_bindir}/nettle-lfib-stream
%attr(755,root,root) %{_bindir}/nettle-pbkdf2
%attr(755,root,root) %{_bindir}/pkcs1-conv
%attr(755,root,root) %{_bindir}/sexp-conv
%changelog
* Sat Jul 06 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/nettle.git;a=log;h=master

* Sun Jun 16 2024 Jan Palus <atler@pld-linux.org> a46f00c
- add static_libs bcond

* Sun Jun 16 2024 Jan Palus <atler@pld-linux.org> 7d6a32c
- up to 3.10

* Fri Jun 02 2023 Jan Palus <atler@pld-linux.org> 73f1157
- up to 3.9.1

* Sun May 14 2023 Jan Palus <atler@pld-linux.org> c2fe0ab
- up to 3.9

* Mon Feb 06 2023 Jakub Bogusz <qboosh@pld-linux.org> 0a59b95
- updated to 3.8.1

* Sun Jun 05 2022 Jan Palus <atler@pld-linux.org> de22217
- up to 3.8

* Mon Jun 07 2021 Jan Palus <atler@pld-linux.org> 3e72987
- up to 3.7.3

* Mon Mar 22 2021 Jan Palus <atler@pld-linux.org> 773debe
- up to 3.7.2

* Wed Feb 17 2021 Jan Palus <atler@pld-linux.org> 3291229
- updated source to https

* Wed Feb 17 2021 Jan Palus <atler@pld-linux.org> 692c57c
- up to 3.7.1

* Tue Jan 05 2021 Jan Palus <atler@pld-linux.org> 38d7805
- up to 3.7

* Mon May 11 2020 Jakub Bogusz <qboosh@pld-linux.org> 00561dc
- updated to 3.6 (note: new sonames)

* Thu Jun 27 2019 Adam Gołębiowski <adamg@pld-linux.org> bfde290
- updated to 3.5.1

* Wed Jun 26 2019 Adam Gołębiowski <adamg@pld-linux.org> bd28ba0
- updated to 3.5

* Sat Feb 16 2019 Jakub Bogusz <qboosh@pld-linux.org> 72b152d
- bumped gmp dependency to 6.0 for __gmpn_cnd_add_n symbol (required at least when building agains gmp 6); release 2

* Wed Dec 05 2018 Adam Gołębiowski <adamg@pld-linux.org> 7a44499
- updated to 3.4.1

* Sun Dec 10 2017 Jakub Bogusz <qboosh@pld-linux.org> c6e3e58
- updated to 3.4

* Tue Oct 25 2016 Jakub Bogusz <qboosh@pld-linux.org> e8c0f06
- updated to 3.3

* Fri Jan 29 2016 Jakub Bogusz <qboosh@pld-linux.org> 98bcf89
- updated to 3.2

* Sun Jan 10 2016 Adam Osuchowski <adwol@pld-linux.org> 54bc338
- up to 3.1.1
- separate nettle-progs subpackage

